﻿using System;
using System.Reflection;

using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 빙맵 키
        /// </summary>
        private string bingKey = "INPUT YOUR BING KEY";

        /// <summary>
        /// 파일 경로
        /// </summary>
        private string filePath = "DATA/kmlFile.kml";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.bingMapDataProvider.BingKey = this.bingKey;

            Uri baseURI = new Uri(Assembly.GetEntryAssembly().Location);

            KmlFileDataAdapter kmlFileDataAdapter = new KmlFileDataAdapter();

            kmlFileDataAdapter.FileUri = new Uri(baseURI, filePath);

            this.vectorItemsLayer.Data =  kmlFileDataAdapter;
        }

        #endregion
    }
}